/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view;

/**
 * Very simple implementation of a layer label.
 * 
 * @author Werner Jainek
 */
public class LayerLabel {

	/**
	 * The text of this label.
	 */
	protected String labelText;

	/**
	 * Creates a new label with an empty text.
	 */
	public LayerLabel() {
		labelText = new String();
	}

	/**
	 * Creates a new label with the given text.
	 */
	public LayerLabel(String text) {
		labelText = new String(text);
	}

	/**
	 * Returns the text of this label.
	 */
	public String getText() {
		return new String(labelText);
	}

	/**
	 * Sets the text of this label.
	 */
	public void setText(String text) {
		labelText = new String(text);
	}

}
