/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view.realizer;

import javax.media.opengl.GLAutoDrawable;

import y.geom.YPoint;
import y.view.Bend;
import y.view.EdgeRealizer;
import y25.graphics.BoundingBox;
import y25.graphics.Camera;
import y25.view.EdgeRealizer25D;

/**
 * Implementation of an EdgeRealizer/25D with no function. This is useful for
 * debugging.
 * 
 * @author Werner Jainek
 */
public class DummyEdgeRealizer25D extends EdgeRealizer implements
		EdgeRealizer25D {

	public int pointCount() {
		return 0;
	}

	public YPoint getPoint(int arg0) {
		return null;
	}

	public void setPoint(int arg0, double arg1, double arg2) {
	}

	public void addPoint(double arg0, double arg1) {
	}

	public void clearPoints() {
	}

	public YPoint getSourcePoint() {
		return null;
	}

	public YPoint getTargetPoint() {
		return null;
	}

	public void setSourcePoint(YPoint arg0) {
	}

	public void setTargetPoint(YPoint arg0) {
	}

	public EdgeRealizer createCopy(EdgeRealizer arg0) {
		return new DummyEdgeRealizer25D();
	}

	public Bend createBend(double arg0, double arg1, Bend arg2, int arg3) {
		return null;
	}

	public void reInsertBend(Bend arg0, Bend arg1, int arg2) {
	}

	public Bend insertBend(double arg0, double arg1) {
		return null;
	}

	public Bend removeBend(Bend arg0) {
		return null;
	}

	protected void calculatePath() {
	}

	public void paintGL(GLAutoDrawable drawable, Camera camera) {
	}

	public BoundingBox getRelativeBoundingBox() {
		return new BoundingBox();
	}

	public int getLineDisplayMode() {
		return MODE_2D;
	}

	public void setLineDisplayMode(int mode) {
	}

}
