/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view.realizer;

import javax.media.opengl.GLAutoDrawable;

import y25.graphics.BoundingBox;
import y25.graphics.Camera;
import y25.view.LayerRealizer25D;

/**
 * Implementation of a LayerRealizer with no function. This is useful for
 * debugging.
 * 
 * @author Werner Jainek
 */
public class DummyLayerRealizer25D implements LayerRealizer25D {

	protected double z;

	protected boolean selected;

	public DummyLayerRealizer25D() {
		z = 0.0;
		selected = false;
	}

	public double getZ() {
		return z;
	}

	public void setZ(double zz) {
		z = zz;
	}

	public LayerRealizer25D createCopy() {
		return new DummyLayerRealizer25D();
	}

	public void paintGL(GLAutoDrawable drawable, Camera camera) {

	}

	public void setRelativeBoundingBox(BoundingBox bb) {

	}

	public BoundingBox getRealativeBoundingBox() {
		return null;
	}

	public boolean isSelected() {
		return selected;
	}

	public void setSelected(boolean selected) {
		this.selected = selected;
	}

	public String getLabelText() {
		return new String();
	}

	public void setLabelText(String text) {

	}

}
