/**
 * y25 - Visualizing Graphs in 2.5 Dimensions
 * 
 * Arbeitsbereich: Paralleles Rechnen Prof. Kaufmann
 * Studienarbeit:  Werner Jainek
 * Betreuung:      Nina Lehmann
 *
 */
package y25.view.realizer;

import java.awt.Graphics2D;

import javax.media.opengl.GLAutoDrawable;

import y.view.NodeRealizer;
import y25.graphics.BoundingBox;
import y25.graphics.Camera;
import y25.graphics.Point3D;
import y25.view.NodeRealizer25D;

/**
 * Implementation of a NodeRealizer/25D with no function. This is useful for
 * debugging.
 * 
 * @author Werner Jainek
 */
public class DummyNodeRealizer25D extends NodeRealizer implements
		NodeRealizer25D {

	public NodeRealizer createCopy(NodeRealizer arg0) {
		return new DummyNodeRealizer25D();
	}

	protected void paintNode(Graphics2D arg0) {
	}

	public double getX() {
		return 0;
	}

	public double getY() {
		return 0;
	}

	public double getWidth() {
		return 0;
	}

	public double getHeight() {
		return 0;
	}

	public void setLocation(double arg0, double arg1) {
	}

	public void setSize(double arg0, double arg1) {
	}

	public void paintGL(GLAutoDrawable drawable, Camera camera) {

	}

	public double getDepth() {
		return 0;
	}

	public void setDepth(double depth) {
	}

	public void setSize(double width, double height, double depth) {
	}

	public BoundingBox getRelativeBoundingBox() {
		return new BoundingBox();
	}

	public Point3D intersect(Point3D source, Point3D target, float nodeZ) {
		return null;
	}

}
